package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.google.gson.annotations.Expose;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "MetodePengadaanDetail_M")
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class MetodePengadaanDetail extends BaseMaster {

	@NotNull(message = "Name tidak boleh kosong")
	@Column(name = "Name", nullable = false, length = 100)
	@Caption(value = "Name")
	private String name;

	@ManyToOne
	@JoinColumn(name = "ObjectMetodePengadaanFk")
	@Expose(serialize = false)
	@Caption(value = "Metode Pegadaan Header")
	private MetodePengadaanHeader metodePengadaanHeader;

	@Column(name = "ObjectMetodePengadaanFk", insertable = false, updatable = false)
	private Integer metodePengadaanHeaderId;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public MetodePengadaanHeader getMetodePengadaanHeader() {
		return metodePengadaanHeader;
	}

	public void setMetodePengadaanHeader(MetodePengadaanHeader metodePengadaanHeader) {
		this.metodePengadaanHeader = metodePengadaanHeader;
	}

	public Integer getMetodePengadaanHeaderId() {
		return metodePengadaanHeaderId;
	}

	public void setMetodePengadaanHeaderId(Integer metodePengadaanHeaderId) {
		this.metodePengadaanHeaderId = metodePengadaanHeaderId;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.metodepengadaandetail_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.metodepengadaandetail_m_id_seq", sequenceName = "public.metodepengadaandetail_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}